//////////////////////////////////////////////////////////////////////////////////////////
//	BSP_LoadVertices.cpp
//	Load bsp vertices
//	Downloaded from: www.paulsprojects.net
//	Created:	12th December 2002
//
//	Copyright (c) 2006, Paul Baker
//	Distributed under the New BSD Licence. (See accompanying file License.txt or copy at
//	http://www.paulsprojects.net/NewBSDLicense.txt)
//////////////////////////////////////////////////////////////////////////////////////////	
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <vector>
#include "../GL files/glee.h"			//header for OpenGL 1.4
#include "../Maths/Maths.h"
#include "../Log/LOG.h"
#include "../Render Manager/RENDER_MANAGER.h"
#include "BSP.h"

bool BSP::LoadVertices(FILE * file)
{
	//Calculate number of vertices
	numTempVertices=header.directoryEntries[bspVertices].length/sizeof(BSP_LOAD_VERTEX);

	//Create space for this many BSP_LOAD_VERTEXes
	tempVertices=new BSP_LOAD_VERTEX[numTempVertices];
	if(!tempVertices)
	{
		LOG::Instance()->OutputError("Unable to create space for %d BSP_LOAD_VERTEXes",
										numTempVertices);
		return false;
	}

	//read in the vertices
	fseek(file, header.directoryEntries[bspVertices].offset, SEEK_SET);
	fread(tempVertices, header.directoryEntries[bspVertices].length, 1, file);

	return true;
}