//////////////////////////////////////////////////////////////////////////////////////////
//	AreAnyActiveGeometryVerticesBehind.cpp
//	Are any geometry vertices, referenced by the current indices, behind a given plane?
//	Downloaded from: www.paulsprojects.net
//	Created:	21st February 2003
//
//	Copyright (c) 2006, Paul Baker
//	Distributed under the New BSD Licence. (See accompanying file License.txt or copy at
//	http://www.paulsprojects.net/NewBSDLicense.txt)
//////////////////////////////////////////////////////////////////////////////////////////	
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <vector>
#include "../../GL files/glee.h"			//header for OpenGL 1.4
#include "../../Maths/Maths.h"
#include "../../List/LIST.h"
#include "../RENDER_MANAGER.h"

bool RENDER_MANAGER::AreAnyActiveGeometryVerticesBehind(const PLANE & plane)
{
	for(std::size_t i=0; i<geometryData.indexLists.size(); ++i)
	{
		for(int j=0; j<geometryData.indexLists[i].GetSize(); ++j)
		{
			int index=geometryData.indexLists[i].entries[j];

			if(plane.ClassifyPoint(geometryData.vertices[index].position)==POINT_BEHIND_PLANE)
				return true;
		}
	}

	return false;
}
